petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMShellSetCreateLocalVector

sets the routine to create a local vector associated with the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateLocalVector(DM dm,PetscErrorCode (*func)(DM,Vec*))

Logically Collective

### Input Arguments

| dm | - the shell DM
| func | - the creation routine

### See Also

DMShellSetLocalVector(), DMShellSetCreateMatrix(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages